"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _keys = _interopRequireDefault(require("@babel/runtime/core-js/object/keys"));

// Copyright 2017-2018 Jaco Greeff
// This software may be modified and distributed under the terms
// of the ISC license. See the LICENSE file for details.
const _commit = require('./commit');

const _del = require('./del');

const _get = require('./get');

const _pairs = require('./pairs');

const _set = require('./set');

module.exports = function memory() {
  let storage = {};
  return {
    clear: () => {
      storage = {};
    },
    commit: (values = []) => _commit(storage, values),
    del: k => _del(storage, k),
    isEmpty: () => (0, _keys.default)(storage).length === 0,
    get: k => _get(storage, k),
    pairs: () => _pairs(storage),
    set: (k, v) => _set(storage, k, v)
  };
};